using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddRefToPlacementProfiletoCommandReceiverTable : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "RefPlacementProfileId",
                table: "CommandReceivers",
                type: "char(36)",
                nullable: true,
                comment: "รหัสอ้างอิงไปยังข้อมูลผู้บรรจุ",
                collation: "ascii_general_ci");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "RefPlacementProfileId",
                table: "CommandReceivers");
        }
    }
}
